Skip to content

Create user

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
serialVersionUIDobject

Unresolved type (staticfinallong)

schemasArray of strings

last modified time of the case

userNamestring

This will contain the unique parameter on sprinklr's. This will be email Id.

nameobject(Name)

Name of the user

photosArray of objects(Attribute_user)

User Photos

phoneNumbersArray of objects(Attribute_user)

Phone Numbers

activeboolean

By default, user will be created in inactive state

localestring

Locale of the created

globalAttributesobject(GlobalAttributes)

Partner level attributes, which cannot be mapped to SCIM attributes.

clientAttributesArray of objects(ClientAttributes)

Client Level attributes.

userSeatsArray of objects(UserSeat)

User Seats.

isSpaceUserboolean

If the user is a space User.

emailsArray of objects(Attribute_user)

List User Emails

enterpriseUserobject(EnterpriseUser)

Describes the schema for enterprise user in SCIM

userAssignmentConfigobject(UserAssignmentConfig)

User Assignment Configuration

userVoiceConfigobject(UserVoiceConfig)

User Voice Configuration

currentLoginStatusstring

Current Login Status

upcomingStatusstring

Upcoming Status

supervisorTeamIdsArray of strings

Supervisor Team IDs

recordingShareConfigsArray of objects(AssetShareConfig)

Recording Share Configs

customPropertiesMetadataArray of objects(CustomPropertyWithMetadata)

Custom Property details

assignmentDataobject(AssignmentData)

Assignment Data

curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/user \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "serialVersionUID": {},
    "schemas": [
      "string"
    ],
    "userName": "string",
    "name": {
      "familyName": "string",
      "givenName": "string"
    },
    "photos": [
      {
        "value": "string",
        "type": "string",
        "primary": true
      }
    ],
    "phoneNumbers": [
      {
        "value": "string",
        "type": "string",
        "primary": true
      }
    ],
    "active": true,
    "locale": "string",
    "globalAttributes": {
      "partnerCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "federationId": "string",
      "productSeat": "string",
      "passwordLoginDisabled": true
    },
    "clientAttributes": [
      {
        "clientId": 0,
        "userType": "string",
        "phoneNumbers": [
          {
            "value": "string",
            "type": "string",
            "primary": true
          }
        ],
        "businessCategory": "string",
        "primaryUserGroupId": "string",
        "userGroupIds": [
          "string"
        ],
        "clientCustomProperties": {
          "property1": [
            "string"
          ],
          "property2": [
            "string"
          ]
        },
        "designation": "string",
        "department": "string",
        "managerId": 0,
        "managerEmailAddress": "string",
        "managerFederationId": "string",
        "isApprovalMandatory": true,
        "sessionTimeout": 0,
        "customProfileConfigs": [
          {
            "userId": 0,
            "channelType": "string",
            "customProfileEnabled": true,
            "shouldUseDefaultProfile": true,
            "sprCustomProfileConfigs": [
              {
                "id": "string",
                "url": "string",
                "name": "string",
                "enabled": true,
                "userId": 0,
                "channelType": "string",
                "accountId": 0
              }
            ]
          }
        ],
        "approverUserGroupId": "string",
        "persona": "string",
        "personaApp": "string",
        "personaViewEnabled": true,
        "spaceAppMobileViewForbidden": true
      }
    ],
    "userSeats": [
      {
        "id": "string",
        "userId": 0,
        "module": "string",
        "seatType": "string",
        "addOnType": "string",
        "assignDate": 0,
        "unassignDate": 0,
        "expired": true
      }
    ],
    "isSpaceUser": true,
    "emails": [
      {
        "value": "string",
        "type": "string",
        "primary": true
      }
    ],
    "enterpriseUser": {},
    "userAssignmentConfig": {
      "userId": "string",
      "capacities": [
        {
          "id": "string",
          "capacity": 0,
          "activeConversationCapacity": 0
        }
      ],
      "proficiencies": {
        "skillVsProficiency": {
          "property1": 0,
          "property2": 0
        },
        "languageVsProficiency": {
          "property1": 0,
          "property2": 0
        },
        "channelVsProficiency": {
          "property1": 0,
          "property2": 0
        }
      },
      "capacityConfigId": "string",
      "capacityConfigName": "string",
      "timeZone": {
        "timeZone": "string",
        "country": "string"
      }
    },
    "userVoiceConfig": {
      "userId": "string",
      "autoAnswer": true,
      "autoAnswerWaitTime": 0,
      "useVoipCall": true,
      "sipUserName": "string",
      "sipVoiceAccountId": "string"
    },
    "currentLoginStatus": "string",
    "upcomingStatus": "string",
    "supervisorTeamIds": [
      "string"
    ],
    "recordingShareConfigs": [
      {
        "type": "string",
        "ids": [
          "string"
        ]
      }
    ],
    "customPropertiesMetadata": [
      {
        "fieldName": "string",
        "type": "string",
        "label": "string",
        "clientCustomProperty": true,
        "values": [
          "string"
        ]
      }
    ],
    "assignmentData": {
      "activeAssignments": {
        "property1": 0,
        "property2": 0
      }
    }
  }'

Responses

Success

Bodyapplication/json
serialVersionUIDobject

Unresolved type (staticfinallong)

schemasArray of strings

last modified time of the case

userNamestring

This will contain the unique parameter on sprinklr's. This will be email Id.

nameobject(Name)

Name of the user

photosArray of objects(Attribute_user)

User Photos

phoneNumbersArray of objects(Attribute_user)

Phone Numbers

activeboolean

By default, user will be created in inactive state

localestring

Locale of the created

globalAttributesobject(GlobalAttributes)

Partner level attributes, which cannot be mapped to SCIM attributes.

clientAttributesArray of objects(ClientAttributes)

Client Level attributes.

userSeatsArray of objects(UserSeat)

User Seats.

isSpaceUserboolean

If the user is a space User.

emailsArray of objects(Attribute_user)

List User Emails

enterpriseUserobject(EnterpriseUser)

Describes the schema for enterprise user in SCIM

userAssignmentConfigobject(UserAssignmentConfig)

User Assignment Configuration

userVoiceConfigobject(UserVoiceConfig)

User Voice Configuration

currentLoginStatusstring

Current Login Status

upcomingStatusstring

Upcoming Status

supervisorTeamIdsArray of strings

Supervisor Team IDs

recordingShareConfigsArray of objects(AssetShareConfig)

Recording Share Configs

customPropertiesMetadataArray of objects(CustomPropertyWithMetadata)

Custom Property details

assignmentDataobject(AssignmentData)

Assignment Data

Response
{ "serialVersionUID": {}, "schemas": [ "string" ], "userName": "string", "name": { "familyName": "string", "givenName": "string" }, "photos": [ { … } ], "phoneNumbers": [ { … } ], "active": true, "locale": "string", "globalAttributes": { "partnerCustomProperties": { … }, "federationId": "string", "productSeat": "string", "passwordLoginDisabled": true }, "clientAttributes": [ { … } ], "userSeats": [ { … } ], "isSpaceUser": true, "emails": [ { … } ], "enterpriseUser": {}, "userAssignmentConfig": { "userId": "string", "capacities": [ … ], "proficiencies": { … }, "capacityConfigId": "string", "capacityConfigName": "string", "timeZone": { … } }, "userVoiceConfig": { "userId": "string", "autoAnswer": true, "autoAnswerWaitTime": 0, "useVoipCall": true, "sipUserName": "string", "sipVoiceAccountId": "string" }, "currentLoginStatus": "string", "upcomingStatus": "string", "supervisorTeamIds": [ "string" ], "recordingShareConfigs": [ { … } ], "customPropertiesMetadata": [ { … } ], "assignmentData": { "activeAssignments": { … } } }